package com.yd.dal.entity.customer;

import java.util.Date;

/**
 * 用户浏览分享跟踪表
 */
public class AclCustomerObjectShareTrack {
    /**
     * serial id
     */
    private Long id;

    /**
     * 分享ID FK ag_acl_customer_object_share.id
     */
    private Long shareId;

    /**
     * 分享码 FK ag_acl_customer_object_share.share_code
     */
    private String shareCode;

    /**
     * 微信昵称
     */
    private String nickname;

    /**
     * 1=Male, 2=Female
     */
    private Integer gender;

    /**
     * 微信头像
     */
    private String imagePath;

    /**
     * 跟踪开始时间
     */
    private Date trackInTime;

    /**
     * 跟踪结束时间
     */
    private Date trackOutTime;

    /**
     * 地域
     */
    private String region;

    /**
     * 来源
     */
    private String sourceFrom;

    /**
     * 入口页面
     */
    private String entryPage;

    /**
     * 访问功能ID
     */
    private String buttonId;

    /**
     * 锚点ID
     */
    private String anchorId;

    /**
     * 行为动作类型enter、close、buttonclick
     */
    private String actionType;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 访问IP
     */
    private String ipAddress;

    private Date createdAt;

    private Long createdBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShareId() {
        return shareId;
    }

    public void setShareId(Long shareId) {
        this.shareId = shareId;
    }

    public String getShareCode() {
        return shareCode;
    }

    public void setShareCode(String shareCode) {
        this.shareCode = shareCode;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }

    public Date getTrackInTime() {
        return trackInTime;
    }

    public void setTrackInTime(Date trackInTime) {
        this.trackInTime = trackInTime;
    }

    public Date getTrackOutTime() {
        return trackOutTime;
    }

    public void setTrackOutTime(Date trackOutTime) {
        this.trackOutTime = trackOutTime;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getSourceFrom() {
        return sourceFrom;
    }

    public void setSourceFrom(String sourceFrom) {
        this.sourceFrom = sourceFrom;
    }

    public String getEntryPage() {
        return entryPage;
    }

    public void setEntryPage(String entryPage) {
        this.entryPage = entryPage;
    }

    public String getButtonId() {
        return buttonId;
    }

    public void setButtonId(String buttonId) {
        this.buttonId = buttonId;
    }

    public String getAnchorId() {
        return anchorId;
    }

    public void setAnchorId(String anchorId) {
        this.anchorId = anchorId;
    }

    public String getActionType() {
        return actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }
}